View Issue Details

IDProjectCategoryView StatusLast Update
0016628LazarusIDEpublic2011-12-01 11:24
ReporterGraeme Geldenhuys Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSUbuntu Linux 
Product Version0.9.29 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0016628: Syntax highlighting bug - text always painted black
DescriptionIn the attached screenshot the code-completion windows doesn't show the syntax highlighting like the editor does. Default text is supposed to be painted in which, but in the popup window it is painted black.
TagsNo tags attached.
Fixed in Revision25872
LazTarget0.9.30
Widgetset
Attached Files

Activities

2010-06-03 15:00

 

Screenshot.png (14,825 bytes)   
Screenshot.png (14,825 bytes)   

Vladimir Zhirov

2010-06-03 16:30

reporter   ~0038284

Last edited: 2010-06-03 16:34

I see the other side of this problem. With my highlighter settings function names are white on light gray (almost invisible) while black parameters are perfectly visible :)

P.S. uploaded my editoroptions.xml

2010-06-03 16:33

 

editoroptions_vvzh.xml (6,580 bytes)   
<?xml version="1.0"?>
<CONFIG>
  <EditorOptions Version="6">
    <Display ExtraLineSpacing="0" ShowOnlyLineNumbersMultiplesOf="1" DisableAntialiasing="False" ShowLineNumbers="False">
      <MarkupCurrentWord Time="754" Enabled="False" NoTimer="True"/>
    </Display>
    <KeyMapping>
      <default Count="18">
        <Version Value="6"/>
        <ExternalToolCount Value="1"/>
        <printselection Value="80,1,0,0,0,0,0,0"/>
        <comment_selection Value="219,3,0,0,0,0,0,0"/>
        <uncomment_selection Value="221,3,0,0,0,0,0,0"/>
        <reset_debugger Value="113,2,0,0,0,0,0,0"/>
        <run_file Value="120,2,0,0,0,0,0,0"/>
        <jump_back Value="37,5,0,0,0,0,0,0"/>
        <jump_forward Value="39,5,0,0,0,0,0,0"/>
        <make_resource_string Value="82,3,0,0,0,0,0,0"/>
        <rename_identifier Value="69,3,0,0,0,0,0,0"/>
        <normal_selection_mode Value="97,5,0,0,0,0,0,0"/>
        <column_selection_mode Value="98,5,0,0,0,0,0,0"/>
        <line_selection_mode Value="99,5,0,0,0,0,0,0"/>
        <sort_selection Value="100,5,0,0,0,0,0,0"/>
        <remove_empty_methods Value="109,3,0,0,0,0,0,0"/>
        <new Value="0,0,0,4,0,0,0,0"/>
        <close_project Value="115,3,0,0,0,0,0,0"/>
        <toggle_view_documentation_editor Value="84,5,0,0,0,0,0,0"/>
        <focus_to_source_editor Value="101,5,0,0,0,0,0,0"/>
        <view__todo_list Value="105,5,0,0,0,0,0,0"/>
        <configure_installed_packages Value="80,5,0,0,0,0,0,0"/>
        <view_todo_list Value="76,3,0,0,0,0,0,0"/>
        <Item1 Name="Close project">
          <KeyA Default="False" Key1="115" Shift1="3"/>
        </Item1>
        <Item2 Name="Column selection mode">
          <KeyA Default="False" Key1="98" Shift1="5"/>
        </Item2>
        <Item3 Name="Comment selection">
          <KeyA Default="False" Key1="219" Shift1="3"/>
        </Item3>
        <Item4 Name="Configure installed packages">
          <KeyA Default="False" Key1="80" Shift1="5"/>
        </Item4>
        <Item5 Name="Jump back">
          <KeyA Default="False" Key1="37" Shift1="5"/>
        </Item5>
        <Item6 Name="Jump forward">
          <KeyA Default="False" Key1="39" Shift1="5"/>
        </Item6>
        <Item7 Name="Line selection mode">
          <KeyA Default="False" Key1="99" Shift1="5"/>
        </Item7>
        <Item8 Name="Make resource string">
          <KeyA Default="False" Key1="82" Shift1="3"/>
        </Item8>
        <Item9 Name="New">
          <KeyA Default="False" Shift2="4"/>
        </Item9>
        <Item10 Name="Normal selection mode">
          <KeyA Default="False" Key1="97" Shift1="5"/>
        </Item10>
        <Item11 Name="Remove empty methods">
          <KeyA Default="False" Key1="109" Shift1="3"/>
        </Item11>
        <Item12 Name="Reset debugger">
          <KeyA Default="False" Key1="113" Shift1="2"/>
        </Item12>
        <Item13 Name="Run File">
          <KeyA Default="False" Key1="120" Shift1="2"/>
        </Item13>
        <Item14 Name="Sort selection">
          <KeyA Default="False" Key1="100" Shift1="5"/>
        </Item14>
        <Item15 Name="Toggle view Code Explorer">
          <KeyA Default="False" Key1="123" Shift1="3"/>
        </Item15>
        <Item16 Name="Toggle view Documentation Editor">
          <KeyA Default="False" Key1="84" Shift1="5"/>
        </Item16>
        <Item17 Name="Uncomment selection">
          <KeyA Default="False" Key1="221" Shift1="3"/>
        </Item17>
        <Item18 Name="View ToDo list">
          <KeyA Default="False" Key1="76" Shift1="3"/>
        </Item18>
      </default>
    </KeyMapping>
    <CodeTools CodeTemplateFileName="D:\FreePascal\Lazarus\lazarus.dci" AutoDelayInMSec="549" AutoRemoveEmptyMethods="True" AutoBlockCompletion="False" CompletionLongLineHintTypeCompletionLongLineHintType="sclpNone"/>
    <Color Version="6">
      <LangObjectPascal Version="6">
        <ColorScheme Value="Odyssey"/>
        <SchemeDefault>
          <ahaEnabledBreakpoint Background="16762823" Foreground="clNone" UseSchemeGlobals="False"/>
          <ahaCodeFoldingTree Background="clNone" Foreground="13408665" UseSchemeGlobals="False"/>
          <ahaInvalidBreakpoint Foreground="clSilver" UseSchemeGlobals="False"/>
          <ahaWordGroup FrameColor="clNone" UseSchemeGlobals="False"/>
          <ahaDisabledBreakpoint Foreground="clWhite" UseSchemeGlobals="False"/>
          <ahaExecutionPoint Background="10066380" Foreground="clNone" UseSchemeGlobals="False"/>
          <ahaErrorLine Background="clRed" Foreground="clWhite" UseSchemeGlobals="False"/>
          <ahaLineHighlight Background="15138810" FrameColor="13408665" UseSchemeGlobals="False"/>
          <ahaHighlightWord Background="clNone" FrameColor="clHighlightText" UseSchemeGlobals="False"/>
          <ahaRightMargin Foreground="clBtnShadow" UseSchemeGlobals="False"/>
          <Space Background="clBtnFace" UseSchemeGlobals="False"/>
          <Number Foreground="2320890" UseSchemeGlobals="False"/>
          <Symbol Foreground="clNone" UseSchemeGlobals="False"/>
          <Comment Foreground="clGray" Style="fsItalic" UseSchemeGlobals="False"/>
          <Directive Foreground="clGreen" Style="" UseSchemeGlobals="False"/>
          <ahaDefault Background="clBtnFace"/>
          <Case_label UseSchemeGlobals="False"/>
          <Reserved_word Foreground="clNavy" UseSchemeGlobals="False"/>
        </SchemeDefault>
      </LangObjectPascal>
      <LangPHP Version="6">
        <SchemeDefault>
          <Comment Foreground="clNavy" UseSchemeGlobals="False"/>
          <Reserved_word Foreground="8388672" UseSchemeGlobals="False"/>
        </SchemeDefault>
      </LangPHP>
      <Globals Version="6">
        <SchemeDefault>
          <ahaDefault Background="clBtnFace"/>
        </SchemeDefault>
      </Globals>
    </Color>
    <General>
      <Editor TabWidth="2" DropFiles="True" TabIndent="True" EnhanceEndKey="True" TabPosition="tpTop" SmartTabs="False"/>
    </General>
    <CodeFolding DividerDrawLevel="0"/>
    <FoldConfig>
      <LangObjectPascal>
        <TypeCase>
          <Settings Enabled="True"/>
        </TypeCase>
        <TypeUses>
          <Settings Enabled="False"/>
        </TypeUses>
        <TypeUnitSection>
          <Settings Enabled="True"/>
        </TypeUnitSection>
      </LangObjectPascal>
    </FoldConfig>
    <Mouse>
      <Default TextMiddleClick="moTMIgnore"/>
    </Mouse>
  </EditorOptions>
</CONFIG>
editoroptions_vvzh.xml (6,580 bytes)   

Graeme Geldenhuys

2010-06-04 14:44

reporter   ~0038311

Thanks Martin, it works now.

Issue History

Date Modified Username Field Change
2010-06-03 15:00 Graeme Geldenhuys New Issue
2010-06-03 15:00 Graeme Geldenhuys File Added: Screenshot.png
2010-06-03 15:20 Martin Friebe Status new => assigned
2010-06-03 15:20 Martin Friebe Assigned To => Martin Friebe
2010-06-03 16:30 Vladimir Zhirov Note Added: 0038284
2010-06-03 16:33 Vladimir Zhirov File Added: editoroptions_vvzh.xml
2010-06-03 16:34 Vladimir Zhirov Note Edited: 0038284
2010-06-03 21:39 Martin Friebe Fixed in Revision => 25872
2010-06-03 21:39 Martin Friebe LazTarget => 0.9.30
2010-06-03 21:39 Martin Friebe Status assigned => resolved
2010-06-03 21:39 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2010-06-03 21:39 Martin Friebe Resolution open => fixed
2010-06-03 21:39 Martin Friebe Target Version => 0.9.30
2010-06-04 14:44 Graeme Geldenhuys Note Added: 0038311
2011-12-01 11:24 Marc Weustink Status resolved => closed